import { Socket } from 'socket.io';
import {Character, Character as ICharacter, User} from "@prisma/client";

export type TSocket = Socket & {
    user?: User
    character?: Character
    handshake?: {
        query?: {
            token?: any
        }
    }
    request?: {
        headers?: {
            cookie?: any
        }
    }
}

export type TCharacter = Socket & {
    user?: User,
    character?: ICharacter
}

export type TZoneCharacter = Character & {

}